org.apache.cassandra.db.transform

## Interface MoreRows<I extends BaseRowIterator<?>>

    public interface MoreRows<I extends BaseRowIterator<?>>

An interface for providing new row contents for a partition. The new contents are produced as a normal arbitrary RowIterator or UnfilteredRowIterator (as appropriate), with matching staticRow, partitionKey and partitionLevelDeletion. The transforming iterator invokes this method when any current source is exhausted, then then inserts the new contents as the new source. If the new source is itself a product of any transformations, the two transforming iterators are merged so that control flow always occurs at the outermost point

### Method Summary

All Methods Static Methods Instance Methods Abstract Methods Default Methods
`static RowIterator` `extend(RowIterator iterator, MoreRows<? super RowIterator> more)`
`static UnfilteredRowIterator` `extend(UnfilteredRowIterator iterator, MoreRows<? super UnfilteredRowIterator> more)`
`static UnfilteredRowIterator` `extend(UnfilteredRowIterator iterator, MoreRows<? super UnfilteredRowIterator> more, PartitionColumns columns)`
`I` `moreContents()`

### Method Detail

#### extend

    static UnfilteredRowIterator extend(UnfilteredRowIterator iterator,
                                        MoreRows<? super UnfilteredRowIterator> more)

#### extend

    static UnfilteredRowIterator extend(UnfilteredRowIterator iterator,
                                        MoreRows<? super UnfilteredRowIterator> more,
                                        PartitionColumns columns)

#### extend

    static RowIterator extend(RowIterator iterator,
                              MoreRows<? super RowIterator> more)

#### moreContents

    I moreContents()